Subject: [Simple] XCAP content types

From: Adam Roach <[email-masked]>
Date: Thu, 13 Nov 2003 13:37:05 -0600

I wanted to take this to the list to see if we get more
feedback. One of the open issues with XCAP is: what
Content-Type is indicated in XCAP GET and PUT requests?

My proposal is:

 - If the document being fetched is a complete document,
   label the content correctly. For these operations,
   these are essentially the same as non-XCAP operations.
   In particular, I should be able to hand an XCAP URL
   to a normal HTTP client, have it fetch it, and know
   how to handle the content.

   Content-Type: application/foo+xml

 - If the document being fetched is a part of an XML
   document, we should have a Content-Type that
   indicates that the content is a partial XML document
   (e.g. "xml-snippet"). I note that RFC 2045 allows
   subtypes to define their own parameters. For the
   proposed subtype, I would additionally propose a
   parameter that indicates the content-type of the
   root document.

   Content-Type: application/xml-snippet;root="application/foo+xml"

/a

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple